## ros-kinetic-urdfdom-py 0.3.3

=== debian/changelog ===
ros-kinetic-urdfdom-py (0.3.3-0xenial) xenial; urgency=high

  * Made Chris and Shane the maintainers
  * Added python-lxml to the travis build.
  * Reverted line break (ros/urdfdom#77 <https://github.com/ros/urdfdom/pull/77>) now that there is a more generic solution. (#5 <https://github.com/ros/urdf_parser_py/issues/5>)
  * Added line break to make errors easier to read. (#4 <https://github.com/ros/urdf_parser_py/issues/4>)
  * Contributors: Chris Lalancette, Isaac I.Y. Saito

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Feb 2017 08:00:00 -0000

ros-kinetic-urdfdom-py (0.3.1-0xenial) xenial; urgency=high

  * Add travis
  * Add package.xml for ROS release
  * Tweak CMakeLists to reflect migration from urdfdom
  * Contributors: Jackie Kay

 -- Ioan Sucan <isucan@google.com>  Mon, 22 Feb 2016 08:00:00 -0000

ros-kinetic-urdfdom-py (0.3.0-0xenial) xenial; urgency=high

  * [urdf_parser_py] Add missing newline
  * color and texture in link material are optional
  * fixed transmission parser to match specification
    http://wiki.ros.org/urdf/XML/Transmission#A.3Ctransmission.3E_Elements
    proper unittest for urdf_parser_py
    - added transmission parsing tests
  * Merge pull request #59 <https://github.com/ros/urdf_parser_py/issues/59> from goretkin/goretkin-optional-calibration
    joint calibration is optional
  * made hardware interface optional in both transmission actuator and joint
  * joint calibration is optional
    according to http://wiki.ros.org/urdf/XML/joint
  * set limit(upper/lower), safety_controller(soft_upper/lower_limit, k_position) is optional
  * urdf_parser_py.xml_reflection : python 3 compatibility
    Substitute 'Exception, e' with Exception as e. This ensure compatibility with Python 3 and Python 2.6,2.7 .
    Check https://docs.python.org/3/howto/pyporting.html#capturing-the-currently-raised-exception for more info.
  * urdf_parser_py: Confirmed that both new transmissions are parseable in the same robot.
    test: Added in specific test for tranmsissions. Have it print the type.
    @todo: Make this a unittest.
  * urdf_parser_py: Added attribute preservation for xmlr.RawType (i.e., <gazebo reference="..."/>)
  * urdf_parser_py: Parsing new transmission format works. Need to add in test for old PR2 transmission types.
    test/calvin: Added in generated Calvin URDF provided by v4hn
    test/romeo: Reformatted to match Calvin test
  * urdf_parser_py.urdf: Adding duck-typed parsing for ros_control and PR2 transmissions.
  * [urdf_parser_py] Python3 compatibility
  * Contributors: Antonio El Khoury, Doug Sievers, Eric Cousineau, Gustavo Goretkin, Ioan A Sucan, Ioan Sucan, Jackie Kay, Kei Okada, Kelsey Hawkins, Séverin Lemaignan, Tamaki Nishino, Thomas Moulard, VahidAminZ, Vincent Rabaud, eacousineau, isucan

 -- Ioan Sucan <isucan@google.com>  Tue, 16 Feb 2016 08:00:00 -0000

ros-kinetic-urdfdom-py (0.2.9-0xenial) xenial; urgency=high

  * add xml_reflection to the install rule
  * use install-layout deb
  * install urdf_python_py with plain cmake
  * xml_reflection: Moved into urdf_parser_py
  * urdf_parser_py, xml_reflection: Removed catkin build stuff
  * urdf_parser_py, xml_reflection: Remove runtime dependencies on rospy, roslib.
    Will remove catkin from setup.py, along with CMakeLists.txt files
  * README.md: Moving into urdf_parser_py
  * urdf/Transmission: Uncommented line. Need to figure out how to make transmission types more flexible (for usage with ros_control)
  * urdf: Commented out transmissions -- need to address more generalized plugins (see ros_control packages)
  * urdf: Made sure that geometry children constraint does not count comments
    Removed .pyc files
    Conflicts:
    .gitignore
  * Added in some compatibility methods / accessors for calibration stack
  * CMakeLists.txt: Reflected path change {examples => scripts}/display_urdf
    package.xml's: Removed python export path (does not apply)
  * test: Reorganized.
    TODO Make actual unit test?
  * xml_reflection: Refactoring into catkin package. Trying to figure out how to manage source setup.sh for development...
  * urdf: Changed ordering of tags to match that of romeo.urdf
    test: Added in romeo test (fuerte branch)
  * Corrected wrong import for xml_reflection.basics module
  * Added in test for pelican_urdf
  * xml_reflection: Made separate package, moved out of urdf_parser_py
  * urdf.Transmission: Needed to add tag
  * urdf.Transmission: Small bufix for type
  * urdf: Changed Mesh.scale attribute to not be required (thanks to Carlos De La Guardia)
  * Refactored variable names to match PEP 8 - http://www.python.org/dev/peps/pep-0008/#introduction
  * Finished refactoring. Instance methods: to_xml => write_xml, load_xml => read_xml. Class methods: from_{xml,string}
  * Renamed to_xml to dump_xml, but that is inconsistent with pyyaml. Will rename to {read,write}_xml for clarity.
  * Fixed bug in Robot.add_joint() (thanks to Carlos De La Guardia). Fixed some SDF stuff
  * Starting to develop SDF stuff
  * Touched up some namespace stuff a little, fixed example script.
  * Updated API, added back in static from_xml and generalized it. Updated example file.
  * Going to separate out xml and python variables
  * Starting to do some baic refactoring
  * Have Gazebo stuff working a little better. Yaml dumps work as well
  * Added in Gazebo tags, but it looks ugly... Need to just extra all children and insert those normally
  * Did that refactoring stuff
  * Refactoring loading design
  * Realizing that maybe I should make a factory-type object for aggregate types
  * Changing to accomadate aggregate types
  * Added in check_valid() for warnings / assertions
  * Things are updated now. Might run slower, but meh
  * Can at least run urdf.py
  * Things coming together code wise, but have not yet tested. Need to
  * Have basic reflection setup, continuing on
  * Modifying reflection setup

